From de3299824908e2135cf48d8fb9818d4c8f8a128e Mon Sep 17 00:00:00 2001
Message-Id: <de3299824908e2135cf48d8fb9818d4c8f8a128e.1278054601.git.andresambrois@gmail.com>
In-Reply-To: <cover.1278054601.git.andresambrois@gmail.com>
References: <cover.1278054601.git.andresambrois@gmail.com>
From: =?UTF-8?q?Andr=C3=A9s=20Ambrois?= <andresambrois@gmail.com>
Date: Sun, 23 May 2010 04:01:09 -0300
Subject: [PATCH v2 05/10] Rename the date column to 'sort_column'
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

As it will be used to display the currently active sorting property.

Signed-off-by: Andrés Ambrois <andresambrois@gmail.com>
---
 src/jarabe/journal/listview.py |   22 +++++++++++-----------
 1 files changed, 11 insertions(+), 11 deletions(-)

diff --git a/src/jarabe/journal/listview.py b/src/jarabe/journal/listview.py
index 9e19f70..375a8ee 100644
--- a/src/jarabe/journal/listview.py
+++ b/src/jarabe/journal/listview.py
@@ -97,7 +97,7 @@ class BaseListView(gtk.Bin):
         self.cell_title = None
         self.cell_icon = None
         self._title_column = None
-        self.date_column = None
+        self.sort_column = None
         self._add_columns()
 
         self.tree_view.enable_model_drag_source(gtk.gdk.BUTTON1_MASK,
@@ -190,15 +190,15 @@ class BaseListView(gtk.Bin):
         date = util.timestamp_to_elapsed_string(timestamp)
         date_width = self._get_width_for_string(date)
 
-        self.date_column = gtk.TreeViewColumn()
-        self.date_column.props.sizing = gtk.TREE_VIEW_COLUMN_FIXED
-        self.date_column.props.fixed_width = date_width
-        self.date_column.set_alignment(1)
-        self.date_column.props.resizable = True
-        self.date_column.props.clickable = True
-        self.date_column.pack_start(cell_text)
-        self.date_column.add_attribute(cell_text, 'text', ListModel.COLUMN_DATE)
-        self.tree_view.append_column(self.date_column)
+        self.sort_column = gtk.TreeViewColumn()
+        self.sort_column.props.sizing = gtk.TREE_VIEW_COLUMN_FIXED
+        self.sort_column.props.fixed_width = date_width
+        self.sort_column.set_alignment(1)
+        self.sort_column.props.resizable = True
+        self.sort_column.props.clickable = True
+        self.sort_column.pack_start(cell_text)
+        self.sort_column.add_attribute(cell_text, 'text', ListModel.COLUMN_TIMESTAMP)
+        self.tree_view.append_column(self.sort_column)
 
     def _get_width_for_string(self, text):
         # Add some extra margin
@@ -415,7 +415,7 @@ class BaseListView(gtk.Bin):
 
         while True:
             x, y, width, height = self.tree_view.get_cell_area(path,
-                                                               self.date_column)
+                                                               self.sort_column)
             x, y = self.tree_view.convert_tree_to_widget_coords(x, y)
             self.tree_view.queue_draw_area(x, y, width, height)
             if path == end_path:
-- 
1.7.0.4

